<!-- Copyright SCN Guichet Entreprises, Capgemini and contributors (2014-2016)
    This software is a computer program whose purpose is to maintain and administrate
    standalone forms. This software is governed by the CeCILL license under French
    law and abiding by the rules of distribution of free software. You can use,
    modify and/ or redistribute the software under the terms of the CeCILL license
    as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
    As a counterpart to the access to the source code and rights to copy, modify
    and redistribute granted by the license, users are provided only with a limited
    warranty and the software's author, the holder of the economic rights, and
    the successive licensors have only limited liability. In this respect, the
    user's attention is drawn to the risks associated with loading, using, modifying
    and/or developing or reproducing the software by the user in light of its
    specific status of free software, that may mean that it is complicated to
    manipulate, and that also therefore means that it is reserved for developers
    and experienced professionals having in-depth computer knowledge. Users are
    therefore encouraged to load and test the software's suitability as regards
    their requirements in conditions enabling the security of their systems and/or
    data to be ensured and, more generally, to use and operate it in the same
    conditions as regards security. The fact that you are presently reading this
    means that you have had knowledge of the CeCILL license and that you accept
    its terms. -->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>fr.ge.common.nash</groupId>
        <artifactId>nash-webservices</artifactId>
        <version>2.16.1.9-SNAPSHOT</version>
        <relativePath>../..</relativePath>
    </parent>

    <artifactId>nash-ws-data</artifactId>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-assembly-plugin</artifactId>
            </plugin>
        </plugins>
    </build>
    <profiles>
        <profile>
            <id>migration</id>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.flywaydb</groupId>
                        <artifactId>flyway-maven-plugin</artifactId>
                        <version>4.0</version>
                        <executions>
                            <execution>
                                <id>ge_nash</id>
                                <goals>
                                    <goal>migrate</goal>
                                </goals>
                                <configuration>
                                    <url>${jdbc.ge_nash.url}</url>
                                    <user>${jdbc.ge_nash.username}</user>
                                    <password>${jdbc.ge_nash.password}</password>
                                    <locations>
                                        <location>
                                            filesystem:${project.basedir}/src/main/resources/bdd
                                        </location>
                                    </locations>
                                </configuration>
                            </execution>
                        </executions>
                        <dependencies>
                            <dependency>
                                <groupId>org.postgresql</groupId>
                                <artifactId>postgresql</artifactId>
                                <version>${postgresql.version}</version>
                            </dependency>
                        </dependencies>
                    </plugin>
                </plugins>
            </build>
        </profile>
    </profiles>

</project>
